uuid: 3495520e-d8f0-4c97-88ed-db72ceb769db
langcode: en
status: true
dependencies:
  module:
    - decoupled_auth_crm
id: config_sync.module.decoupled_auth_crm
snapshotSet: config_sync
extensionType: module
extensionName: decoupled_auth_crm
items:
  -
    collection: ''
    name: views.view.simple_crm_users
    data:
      langcode: en
      status: true
      dependencies:
        module:
          - decoupled_auth
          - user
      _core:
        default_config_hash: U4OYE2sjte6pFwg6qgu-gb0_tiGyFHpFlpqj0tyn4Yw
      id: simple_crm_users
      label: 'Simple CRM Users'
      module: views
      description: ''
      tag: ''
      base_table: users_field_data
      base_field: uid
      core: 8.x
      display:
        default:
          display_plugin: default
          id: default
          display_title: Master
          position: 0
          display_options:
            access:
              type: perm
              options:
                perm: 'access user profiles'
            cache:
              type: tag
              options: {  }
            query:
              type: views_query
              options:
                disable_sql_rewrite: false
                distinct: false
                replica: false
                query_comment: ''
                query_tags: {  }
            exposed_form:
              type: basic
              options:
                submit_button: Apply
                reset_button: false
                reset_button_label: Reset
                exposed_sorts_label: 'Sort by'
                expose_sort_order: true
                sort_asc_label: Asc
                sort_desc_label: Desc
            pager:
              type: full
              options:
                items_per_page: 10
                offset: 0
                id: 0
                total_pages: null
                expose:
                  items_per_page: false
                  items_per_page_label: 'Items per page'
                  items_per_page_options: '5, 10, 25, 50'
                  items_per_page_options_all: false
                  items_per_page_options_all_label: '- All -'
                  offset: false
                  offset_label: Offset
                tags:
                  previous: '‹ Previous'
                  next: 'Next ›'
                  first: '« First'
                  last: 'Last »'
                quantity: 9
            style:
              type: table
              options:
                grouping: {  }
                row_class: ''
                default_row_class: true
                override: true
                sticky: false
                caption: ''
                summary: ''
                description: ''
                columns:
                  name: name
                info:
                  name:
                    sortable: false
                    default_sort_order: asc
                    align: ''
                    separator: ''
                    empty_column: false
                    responsive: ''
                default: '-1'
                empty_table: false
            row:
              type: fields
              options:
                inline: {  }
                separator: ''
                hide_empty: false
                default_field_elements: true
            fields:
              name:
                id: name
                table: users_field_data
                field: name
                relationship: none
                group_type: group
                admin_label: ''
                label: Name
                exclude: false
                alter:
                  alter_text: false
                  text: ''
                  make_link: false
                  path: ''
                  absolute: false
                  external: false
                  replace_spaces: false
                  path_case: none
                  trim_whitespace: false
                  alt: ''
                  rel: ''
                  link_class: ''
                  prefix: ''
                  suffix: ''
                  target: ''
                  nl2br: false
                  max_length: 0
                  word_boundary: false
                  ellipsis: false
                  more_link: false
                  more_link_text: ''
                  more_link_path: ''
                  strip_tags: false
                  trim: false
                  preserve_tags: ''
                  html: false
                element_type: ''
                element_class: ''
                element_label_type: ''
                element_label_class: ''
                element_label_colon: true
                element_wrapper_type: ''
                element_wrapper_class: ''
                element_default_classes: true
                empty: ''
                hide_empty: false
                empty_zero: false
                hide_alter_empty: true
                click_sort_column: value
                type: user_name
                settings:
                  link_to_entity: true
                group_column: value
                group_columns: {  }
                group_rows: true
                delta_limit: 0
                delta_offset: 0
                delta_reversed: false
                delta_first_last: false
                multi_type: separator
                separator: ', '
                field_api_classes: false
                entity_type: user
                entity_field: name
                plugin_id: field
              mail:
                id: mail
                table: users_field_data
                field: mail
                relationship: none
                group_type: group
                admin_label: ''
                label: Email
                exclude: false
                alter:
                  alter_text: false
                  text: ''
                  make_link: false
                  path: ''
                  absolute: false
                  external: false
                  replace_spaces: false
                  path_case: none
                  trim_whitespace: false
                  alt: ''
                  rel: ''
                  link_class: ''
                  prefix: ''
                  suffix: ''
                  target: ''
                  nl2br: false
                  max_length: 0
                  word_boundary: true
                  ellipsis: true
                  more_link: false
                  more_link_text: ''
                  more_link_path: ''
                  strip_tags: false
                  trim: false
                  preserve_tags: ''
                  html: false
                element_type: ''
                element_class: ''
                element_label_type: ''
                element_label_class: ''
                element_label_colon: true
                element_wrapper_type: ''
                element_wrapper_class: ''
                element_default_classes: true
                empty: ''
                hide_empty: false
                empty_zero: false
                hide_alter_empty: true
                click_sort_column: value
                type: basic_string
                settings: {  }
                group_column: value
                group_columns: {  }
                group_rows: true
                delta_limit: 0
                delta_offset: 0
                delta_reversed: false
                delta_first_last: false
                multi_type: separator
                separator: ', '
                field_api_classes: false
                entity_type: user
                entity_field: mail
                plugin_id: field
              status:
                id: status
                table: users_field_data
                field: status
                relationship: none
                group_type: group
                admin_label: ''
                label: 'User status'
                exclude: false
                alter:
                  alter_text: false
                  text: ''
                  make_link: false
                  path: ''
                  absolute: false
                  external: false
                  replace_spaces: false
                  path_case: none
                  trim_whitespace: false
                  alt: ''
                  rel: ''
                  link_class: ''
                  prefix: ''
                  suffix: ''
                  target: ''
                  nl2br: false
                  max_length: 0
                  word_boundary: true
                  ellipsis: true
                  more_link: false
                  more_link_text: ''
                  more_link_path: ''
                  strip_tags: false
                  trim: false
                  preserve_tags: ''
                  html: false
                element_type: ''
                element_class: ''
                element_label_type: ''
                element_label_class: ''
                element_label_colon: true
                element_wrapper_type: ''
                element_wrapper_class: ''
                element_default_classes: true
                empty: ''
                hide_empty: false
                empty_zero: false
                hide_alter_empty: true
                click_sort_column: value
                type: boolean
                settings:
                  format: custom
                  format_custom_true: Active
                  format_custom_false: Blocked
                group_column: value
                group_columns: {  }
                group_rows: true
                delta_limit: 0
                delta_offset: 0
                delta_reversed: false
                delta_first_last: false
                multi_type: separator
                separator: ', '
                field_api_classes: false
                entity_type: user
                entity_field: status
                plugin_id: field
              roles_target_id:
                id: roles_target_id
                table: user__roles
                field: roles_target_id
                relationship: none
                group_type: group
                admin_label: ''
                label: Roles
                exclude: false
                alter:
                  alter_text: false
                  text: ''
                  make_link: false
                  path: ''
                  absolute: false
                  external: false
                  replace_spaces: false
                  path_case: none
                  trim_whitespace: false
                  alt: ''
                  rel: ''
                  link_class: ''
                  prefix: ''
                  suffix: ''
                  target: ''
                  nl2br: false
                  max_length: 0
                  word_boundary: true
                  ellipsis: true
                  more_link: false
                  more_link_text: ''
                  more_link_path: ''
                  strip_tags: false
                  trim: false
                  preserve_tags: ''
                  html: false
                element_type: ''
                element_class: ''
                element_label_type: ''
                element_label_class: ''
                element_label_colon: true
                element_wrapper_type: ''
                element_wrapper_class: ''
                element_default_classes: true
                empty: ''
                hide_empty: false
                empty_zero: false
                hide_alter_empty: true
                type: separator
                separator: ', '
                plugin_id: user_roles
              decoupled:
                id: decoupled
                table: users
                field: decoupled
                relationship: none
                group_type: group
                admin_label: ''
                label: 'Web account'
                exclude: false
                alter:
                  alter_text: false
                  text: ''
                  make_link: false
                  path: ''
                  absolute: false
                  external: false
                  replace_spaces: false
                  path_case: none
                  trim_whitespace: false
                  alt: ''
                  rel: ''
                  link_class: ''
                  prefix: ''
                  suffix: ''
                  target: ''
                  nl2br: false
                  max_length: 0
                  word_boundary: true
                  ellipsis: true
                  more_link: false
                  more_link_text: ''
                  more_link_path: ''
                  strip_tags: false
                  trim: false
                  preserve_tags: ''
                  html: false
                element_type: ''
                element_class: ''
                element_label_type: ''
                element_label_class: ''
                element_label_colon: true
                element_wrapper_type: ''
                element_wrapper_class: ''
                element_default_classes: true
                empty: ''
                hide_empty: false
                empty_zero: false
                hide_alter_empty: true
                entity_type: user
                plugin_id: user_decoupled
              edit_user:
                id: edit_user
                table: users
                field: edit_user
                relationship: none
                group_type: group
                admin_label: ''
                label: Operations
                exclude: false
                alter:
                  alter_text: false
                  text: ''
                  make_link: false
                  path: ''
                  absolute: false
                  external: false
                  replace_spaces: false
                  path_case: none
                  trim_whitespace: false
                  alt: ''
                  rel: ''
                  link_class: ''
                  prefix: ''
                  suffix: ''
                  target: ''
                  nl2br: false
                  max_length: 0
                  word_boundary: true
                  ellipsis: true
                  more_link: false
                  more_link_text: ''
                  more_link_path: ''
                  strip_tags: false
                  trim: false
                  preserve_tags: ''
                  html: false
                element_type: ''
                element_class: ''
                element_label_type: ''
                element_label_class: ''
                element_label_colon: true
                element_wrapper_type: ''
                element_wrapper_class: ''
                element_default_classes: true
                empty: ''
                hide_empty: false
                empty_zero: false
                hide_alter_empty: true
                text: edit
                entity_type: user
                plugin_id: entity_link_edit
            filters:
              decoupled:
                id: decoupled
                table: users
                field: decoupled
                relationship: none
                group_type: group
                admin_label: ''
                operator: '='
                value: '1'
                group: 1
                exposed: true
                expose:
                  operator_id: ''
                  label: 'Has web account?'
                  description: ''
                  use_operator: false
                  operator: decoupled_op
                  identifier: decoupled
                  required: false
                  remember: false
                  multiple: false
                  remember_roles:
                    authenticated: authenticated
                    anonymous: '0'
                    administrator: '0'
                is_grouped: false
                group_info:
                  label: ''
                  description: ''
                  identifier: ''
                  optional: true
                  widget: select
                  multiple: false
                  remember: false
                  default_group: All
                  default_group_multiple: {  }
                  group_items: {  }
                entity_type: user
                plugin_id: user_decoupled
            sorts: {  }
            header:
              result:
                id: result
                table: views
                field: result
                relationship: none
                group_type: group
                admin_label: ''
                empty: false
                content: 'Displaying @start - @end of @total'
                plugin_id: result
            footer: {  }
            empty: {  }
            relationships: {  }
            arguments: {  }
            display_extenders: {  }
            title: 'Simple CRM Users'
          cache_metadata:
            max-age: 0
            contexts:
              - 'languages:language_content'
              - 'languages:language_interface'
              - url
              - url.query_args
              - user
              - user.permissions
            tags: {  }
        page_1:
          display_plugin: page
          id: page_1
          display_title: Page
          position: 1
          display_options:
            display_extenders: {  }
            path: admin/people/contacts
            menu:
              type: tab
              title: Contacts
              description: ''
              expanded: false
              parent: entity.user.collection
              weight: 0
              context: '0'
              menu_name: admin
          cache_metadata:
            max-age: 0
            contexts:
              - 'languages:language_content'
              - 'languages:language_interface'
              - url
              - url.query_args
              - user
              - user.permissions
            tags: {  }
